drop table MAXPRINT_DEBUG_REQUESTS;
create table MAXPRINT_DEBUG_REQUESTS
(
  id          NUMBER generated always as identity,
  identifier  VARCHAR2(4000),
  url	      VARCHAR2(4000),
  request     CLOB,
  create_time DATE default sysdate
);
DROP TABLE "MAXPRINT_FONT_TABLE";
CREATE TABLE "MAXPRINT_FONT_TABLE" 
(	"FONTNAME" VARCHAR2(256 BYTE), 
	"STATUS" VARCHAR2(1 BYTE)
);
CREATE OR REPLACE EDITIONABLE PACKAGE "MAXPRINT_JSON_UTILS" AS
   FUNCTION GET_JSON_FROM_SQL (
      P_SQL               IN CLOB,
      P_SQL_TYPE          VARCHAR2,
      P_QUERY_MASTER_COLS VARCHAR2 DEFAULT NULL
   ) RETURN CLOB;
   FUNCTION GET_JSON_FROM_PLSQL (
      PL_CODE          IN CLOB,
      P_DATASOURE_TYPE VARCHAR2
   ) RETURN CLOB;
   FUNCTION GET_JSON_FROM_REGION (
      P_APP_ID           NUMBER,
      P_PAGE_ID          NUMBER,
      P_REGION_STATIC_ID VARCHAR2
   ) RETURN CLOB;
   FUNCTION GET_JSON_FROM_REFCURSOR (
      P_REFCURSOR IN SYS_REFCURSOR
   ) RETURN CLOB;
END;
/
CREATE OR REPLACE PACKAGE BODY "MAXPRINT_JSON_UTILS" wrapped 
a000000
1
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
b
3300 ebb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/
create or replace editionable package "MAXPRINT_PLSQL_API" as
 v_url              varchar2(100)   := 'https://app.maxprint.io/api/';
 v_report_context   varchar2(100)   := 'generateReport';
 v_template_context varchar2(100)   := 'generateTemplate';
 v_app_id           varchar2(50)    := v('APP_ID');
 v_workspace_id     varchar2(50)    := v('WORKSPACE_ID');
 v_timeout          number          := 6000;
 v_debug            boolean         := false;
 v_development_mode boolean         := false;
  function maxprint_api_call(p_url                  in varchar2,
                             p_api_key              in varchar2,
                             p_data                 in clob,
                             p_output_type          in varchar2,
                             p_template             in clob default null,
                             p_wallet_path          in varchar2 default null,
                             p_wallet_password      in varchar2 default null,
                             p_timeout              in number default v_timeout,
                             p_debug                in boolean default v_debug,
                             p_development_mode     in boolean default v_development_mode
                            ) return clob ;
   procedure Print_Payload(P_Text in out nocopy clob);
   procedure Dbms_Print_Payload(P_Text in out nocopy clob);
   function Get_Apex_Directory_Content(P_Directory in varchar2,
                                       P_File_Name in varchar2,
                                       P_App       in varchar2 default v_app_id,
                                       P_Workspace in varchar2 default v_workspace_id) return clob;   
   function Get_Json_From_Plsql(pl_code in clob, p_datasoure_type varchar2 default 'FRS') return clob;
    function Get_Json_From_Sql(p_sql IN CLOB,
                               p_sql_type VARCHAR2,
                               p_query_master_cols VARCHAR2 DEFAULT NULL
                              ) RETURN CLOB;
    function get_json_from_refcursor(p_refcursor in SYS_REFCURSOR ) RETURN CLOB;
   function Maxprint_generate_report( p_api_key         in varchar2,
                                                       p_data                 in clob,
                                                       p_output_type          in varchar2,
                                                       p_template             in clob default null,
                                                       p_wallet_path          in varchar2 default null,
                                                       p_wallet_password      in varchar2 default null,
                                                       p_timeout              in number   default  v_timeout,
                                                       p_url                  in varchar2 default v_url||v_report_context,
                                                       p_debug                in boolean default v_debug,
                                                       p_development_mode     in boolean default v_development_mode                                                       
                                                       ) return clob;
   function Maxprint_generate_report_b( p_api_key         in varchar2,
                                                       p_data                 in clob,
                                                       p_output_type          in varchar2,
                                                       p_template             in clob default null,
                                                       p_wallet_path          in varchar2 default null,
                                                       p_wallet_password      in varchar2 default null,
                                                       p_timeout              in number   default  v_timeout,
                                                       p_url                  in varchar2 default v_url||v_report_context,
                                                       p_debug                in boolean default v_debug,
                                                       p_development_mode     in boolean default v_development_mode) return blob;
   function Maxprint_Generate_Template(p_api_key                          in varchar2,
                                                           p_data                in clob,
                                                           p_wallet_path         in varchar2 default null,
                                                           p_wallet_password     in varchar2 default null,
                                                           p_timeout             in number   default  v_timeout,
                                                           p_url                 in varchar2 default v_url||v_template_context,
                                                           p_debug               in boolean  default v_debug,
                                                           p_development_mode    in boolean  default v_development_mode 
                                                           ) return clob;
   function Maxprint_Generate_Template_b(p_api_key                          in varchar2,
                                                           p_data                in clob,
                                                           p_wallet_path         in varchar2 default null,
                                                           p_wallet_password     in varchar2 default null,
                                                           p_timeout             in number   default v_timeout,
                                                           p_url                 in varchar2 default v_url||v_template_context,
                                                           p_debug               in boolean  default v_debug,
                                                           p_development_mode    in boolean  default v_development_mode
                                                           ) return blob;
end maxprint_plsql_api;
/
create or replace package body "MAXPRINT_PLSQL_API" wrapped 
a000000
1
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
b
36ce bb5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/
CREATE OR REPLACE EDITIONABLE PACKAGE "MAXPRINT_UTILS" AS
   FUNCTION GET_FILES_FROM_URL (
      P_URL              IN VARCHAR2,
      P_HTTP_METHOD      IN VARCHAR2 DEFAULT 'GET',
      P_USERNAME         IN VARCHAR2 DEFAULT NULL,
      P_PASSWORD         IN VARCHAR2 DEFAULT NULL,
      P_PROXY_OVERRIDE   IN VARCHAR2 DEFAULT NULL,
      P_TRANSFER_TIMEOUT IN NUMBER DEFAULT 180,
      P_WALLET_PATH      IN VARCHAR2 DEFAULT NULL,
      P_WALLET_PASSWORD  IN VARCHAR2 DEFAULT NULL
   ) RETURN CLOB;
   FUNCTION MAXPRINT_CALL (
      P_DYNAMIC_ACTION IN APEX_PLUGIN.T_DYNAMIC_ACTION,
      P_PLUGIN         IN APEX_PLUGIN.T_PLUGIN
   ) RETURN APEX_PLUGIN.T_DYNAMIC_ACTION_RENDER_RESULT;
   FUNCTION MAXPRINT_DA_AJAX (
      P_DYNAMIC_ACTION IN APEX_PLUGIN.T_DYNAMIC_ACTION,
      P_PLUGIN         IN APEX_PLUGIN.T_PLUGIN
   ) RETURN APEX_PLUGIN.T_DYNAMIC_ACTION_AJAX_RESULT;
END MAXPRINT_UTILS;
/
CREATE OR REPLACE PACKAGE BODY MAXPRINT_UTILS wrapped 
a000000
1
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
b
3db2 12b1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/